Summary: Stella custom configs for Gnome
Name:    stella-settings-gnome
Version: 0.1
Release: 3%{?dist}

Group:   System Environment/Base
License: GPLv3+
Url:     http://li.nux.ro
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: coreutils sed util-linux GConf2 bluecurve-metacity-theme

%description
%{summary}.

%prep


%build

%install
rm -rf %{buildroot}

%clean
rm -rf %{buildroot}

%pre

%post
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /apps/nautilus/preferences/always_use_browser true 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type string /apps/metacity/general/theme Bluecurve 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type string /apps/metacity/global_keybindings/run_command_terminal "<Control><Alt>t" 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type string /apps/gnome-power-manager/ui/icon_policy always 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type int /desktop/gnome/peripherals/touchpad/scroll_method 2 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /desktop/gnome/peripherals/touchpad/disable_while_typing true 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /desktop/gnome/peripherals/touchpad/tap_to_click true 2>/dev/null
#gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type string /desktop/gnome/background/picture_filename /usr/share/backgrounds/abstract/Flow.png 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /apps/totem/autoload_subtitles true 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /apps/totem/remember_position true 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /desktop/gnome/url-handlers/mailto/command "thunderbird %" >/dev/null





%postun


%files 


%changelog
* Wed Dec 28 2011 Nux <rpm@li.nux.ro> - 0.1-3
- let's leave the default background alone
- Thunderbird default MUA

* Tue Dec 27 2011 Nux <rpm@li.nux.ro> - 0.1-2
- correcting wallpaper path

* Mon Dec 26 2011 Nux <rpm@li.nux.ro> - 0.1
- initial "build"

